Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.logging
Class WeblogicAppender

    java.lang.Object
      org.apache.log4j.AppenderSkeleton
          com.bea.logging.WeblogicAppender

All Implemented Interfaces:
  org.apache.log4j.Appender, org.apache.log4j.spi.OptionHandler

public class WeblogicAppender
extends org.apache.log4j.AppenderSkeleton

The WeblogicAppender is an appender for writing to the WebLogic log services. Consequently, it's use is dependent on running within WebLogic. If you are not running within WebLogic, this logger writes to System.out.

Field Summary

Fields inherited from class org.apache.log4j.AppenderSkeleton
`closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

Constructor Summary
`WeblogicAppender()`
`WeblogicAppender(String subsystem)`

Method Summary
`protected void` | `append(org.apache.log4j.spi.LoggingEvent event)` The append method is over-ridden to send messages to the WLS.
`void` | `close()` Does nothing at present release.
`boolean` | `requiresLayout()` Objects can call this method to find out if they are required to provide a layout for this appender.

Methods inherited from class org.apache.log4j.AppenderSkeleton
`activateOptions, addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setErrorHandler, setLayout, setName, setThreshold`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeblogicAppender

    public WeblogicAppender()

### WeblogicAppender

    public WeblogicAppender(String subsystem)

Method Detail

### append

    protected final void append(org.apache.log4j.spi.LoggingEvent event)

  The append method is over-ridden to send messages to the WLS.

### requiresLayout

    public final boolean requiresLayout()

  Objects can call this method to find out if they are required to provide a layout for this appender. Because WebLogic provides its own log message formatting, this appender does not need a layout provided; in fact, if one is provided, it is ignored.

  Returns:
    false

### close

    public final void close()

  Does nothing at present release.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD